<?php
// WizyTówka - admin/ust-podstrony.php
if ( !defined('WT') ) exit();

if ( !empty($b) ) {
  $podstrona = odczyt_podstrona ( $b );
  $zawartosc = $podstrona['zawartosc'];
}

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $podstrona != false ) {
  
  if ( empty($_POST['tytul_podstrony']) )
    $_POST['tytul_podstrony'] = 'Bez tytułu';
  $_POST['ostatnia_aktualizacja'] = date(FORMAT_DATY); 
  $id_podstrony = $_POST['identyfikator_podstrony'];
  $id_dotychczasowy = $_POST['identyfikator_dotychczasowy'];
  
  zapis_podstrona ( $b, bezpieczny_html($_POST), $zawartosc );
  $admin_naglowek['komunikat'] = 1;
  
  if ( $id_podstrony != $id_dotychczasowy ) {
  
    if ( !sprawdz_nazwe ( $id_podstrony ) )
      $admin_naglowek['komunikat'] = 'zle.Podany identyfikator jest nieprawidłowy.';
      
    else {
    
      $id_podstrony = prosta_nazwa ($id_podstrony);
      
      if ( file_exists ( DANE . '/podstrony/' . $id_podstrony . '.wts' ) )
        $admin_naglowek['komunikat'] = 'zle.Strona o podanym identyfikatorze już istnieje.';
      
      else {
      
        przemianuj_plik( DANE . '/podstrony/' . $id_dotychczasowy . '.wts', DANE . '/podstrony/' . $id_podstrony . '.wts' );
        if ( file_exists( DANE . '/podstrony/' . $id_dotychczasowy . '.wtz' ) )
          przemianuj_plik( DANE . '/podstrony/' . $id_dotychczasowy . '.wtz', DANE . '/podstrony/' . $id_podstrony . '.wtz' );
        
        if ( odczyt_konf('ustawienia','generuj_mape_strony') )
          sitemapa();
        
        $aktualne_menu = odczyt_konf('menu');
        if ( ( $pozycja1 = array_search($id_dotychczasowy,$aktualne_menu['menu_glowne']) ) !== false  )
          $aktualne_menu['menu_glowne'][$pozycja1] = $id_podstrony;
        if ( ( $pozycja2 = array_search($id_dotychczasowy,$aktualne_menu['menu_dodatkowe']) ) !== false  )
          $aktualne_menu['menu_dodatkowe'][$pozycja2] = $id_podstrony;
        zapis_konf('menu',$aktualne_menu);
        
        if ( odczyt_konf('ustawienia','strona_glowna') == $id_dotychczasowy )
          zapis_konf_poj('ustawienia','strona_glowna',$id_podstrony);
        
        header( 'Location: ' . '?a=ust-podstrony&b=' . $id_podstrony . '&kod=' . $kod );
        exit();
        
      }
      
    }
  
  }
  
}

if ( !empty($b) ) {
  $podstrona = odczyt_podstrona ( $b );
  $zawartosc = $podstrona['zawartosc'];
}

if ( odczyt_konf('ustawienia','przyjazne_adresy') )
  $z = null;
else
  $z = '?a=';
$admin_naglowek['link_podglad'] = odczyt_konf('ustawienia','adres') . '/' . $z . $b;
$admin_naglowek['tytul'] = 'Ustawienia podstrony';
include('_naglowek.php');
?>
<?php if ( empty($b) ) { ?>
<p class="uwaga">Nie podano identyfikatora podstrony.</p>
<?php } elseif ( !$podstrona ) { ?>
<p class="uwaga">Podstrona z identyfikatorem <strong><?php echo $b ?></strong> nie istnieje.</p>
<?php } else { ?>

<form method="post">

<table>

<caption>Tytuł podstrony</caption>

<tr> <td>Tytuł podstrony:</td> <td><input type="text" name="tytul_podstrony" value="<?php echo $podstrona['tytul_podstrony'] ?>" /></td> </tr>
<tr> <td>Tytuł w menu:</td> <td><input type="text" name="tytul_menu" value="<?php echo $podstrona['tytul_menu'] ?>" /></td> </tr>
<tr> <td>Tytuł w górnej belce:</td> <td><input type="text" name="tytul_gora" value="<?php echo $podstrona['tytul_gora'] ?>" /></td> </tr>
<tr> <td>Identyfikator:</td> <td><input type="text" name="identyfikator_podstrony" value="<?php echo $b ?>" /></td> </tr>

</table>

<input type="hidden" name="identyfikator_dotychczasowy" value="<?php echo $b ?>" />
<input type="hidden" name="typ_podstrony" value="<?php echo $podstrona['typ_podstrony'] ?>" />

<table>

<caption>Informacje dla wyszukiwarek</caption>

<tr> <td>Opis:</td> <td><textarea name="opis"><?php echo $podstrona['opis'] ?></textarea></td> </tr>
<tr> <td>Słowa kluczowe:</td> <td><textarea name="slowa_kluczowe"><?php echo $podstrona['slowa_kluczowe'] ?></textarea></td> </tr>

</table>

<p class="info">Słowa kluczowe należy rodzielić przecinkami. Opis powinien mieć maksymalnie 150 znaków.</p>

<p class="info">Słowa kluczowe tej podstrony zostaną dołączone do słów kluczowych witryny. Opis tej podstrony zastąpi domyślny opis witryny.</p>

<p class="submit">
<input type="submit" value="<?php echo ($b == 'zmiana-hasla') ? 'Zmień hasło' : 'Zapisz zmiany' ?>" />
</p>

</form>

<?php
}
?>

<?php
include('_stopka.php');