<?php
// WizyTówka - strona/go.php
if ( !defined('WT') ) exit();

// przerwa techniczna

if ( odczyt_konf('ustawienia','przerwa_techniczna') and !zalogowany() ) {
  include('przerwa.php');
  exit();
}

// odczyt podstrony, typu, motywu

if ( empty($a) )
  $a = odczyt_konf('ustawienia','strona_glowna');
$podstrona = odczyt_podstrona ( $a, true );
$zawartosc = $podstrona['zawartosc'];

$typ = odczyt_typ ( $podstrona['typ_podstrony'] );
$motyw = odczyt_motyw ( odczyt_konf('wyglad','motyw') );

// funkcje odpowiadające za treść

include ('tresc.php');

// typ = WYŚWIETLENIE TREŚCI

if ( $podstrona != false ) {

  if ( $typ['wlasne'] )
    $plik_php = DANE;
  else
    $plik_php = SYSTEM;
  $plik_php .= '/typy/' . $typ['nazwa'] . '_strona.php';

  if ( !$typ or !file_exists ( $plik_php ) )
    komunikat('Nie odnaleziono właściwego typu strony.');
  else
    include($plik_php);

}

// istnienie strony

if ( !$podstrona ) {
  $podstrona['tytul_podstrony'] = 'Błąd';
  $podstrona['tytul_gora'] = 'Błąd';
  if ( empty($_GET['a']) )
    komunikat('Strona główna witryny nie istnieje.');
  else
    include('404.php');
}

// statystyki

if ( !zalogowany() and odczyt_konf('statystyki','uzywaj_statystyk') and strpos(strtolower($_SERVER['HTTP_USER_AGENT']),'bot') === false ) {

  $statystyki = odczyt_konf('statystyki');
  $ac = getdate();
  $najblizsza_polnoc = mktime(0,0,0,$ac['mon'],$ac['mday']+1,$ac['year']);

  if ( time() > $statystyki['uplyw_waznosci_wejsc_dzisiaj'] ) {
    $statystyki['wejscia_dzisiaj'] = 0;
    $statystyki['uplyw_waznosci_wejsc_dzisiaj'] = $najblizsza_polnoc;
  }

  if ( !isset($_COOKIE['WizyTowka_statystyki']) ) {
    setcookie( 'WizyTowka_statystyki', '1', $najblizsza_polnoc );
    $powiekszyc_liczbe_wejsc_o_jeden = true;
  }
  if ( $_COOKIE['WizyTowka_statystyki'] == '1' ) {
    ++$statystyki['wejscia_wszystkie'];
    $powiekszyc_liczbe_wejsc_o_jeden = true;
    ++$statystyki['wejscia_dzisiaj'];
    setcookie( 'WizyTowka_statystyki', '2', $najblizsza_polnoc );
  }
  
  $statystyki['data_ostatniego_wejscia'] = date(FORMAT_DATY);

  zapis_konf('statystyki',$statystyki,false);

}

// motyw

if ( $motyw['wlasne'] )
  $plik_php = DANE;
else
  $plik_php = SYSTEM;
$plik_php .= '/motywy/' . $motyw['nazwa'] . '.php';

if ( !$motyw or !file_exists ( $plik_php ) )
  blad('Motyw ' . $motyw['nazwa'] . ' jest uszkodzony.');
else
  include($plik_php);