<?php

if ( $wyslany_formularz ) {

  if ( $_POST['dodaj_zdjecie'] and !empty($_POST['nazwa']) ) {
    unset($_POST['dodaj_zdjecie']);
    $_POST['opis'] = bezpieczny_html($_POST['opis']);
    if ( $_POST['edytowane'] != '' )
      $zawartosc['zdjecia'][$_POST['edytowane']] = $_POST;
    else
      $zawartosc['zdjecia'][] = $_POST;
    $komunikat = 'dob.Zdjęcie zostało zapisane.';
  }
  
  if ( $_POST['usun_zdjecie'] and $_POST['usuwane'] != '' ) {
    unset( $zawartosc['zdjecia'][ $_POST['usuwane'] ] );
    $komunikat = 'dob.Zdjęcie zostało usunięte.';
  }

  if ( $_POST['ustawienia'] ) {
    unset($_POST['ustawienia']);
    $zawartosc['ustawienia'] = $_POST;
    $komunikat = 1;
  }
  
  if ( $zawartosc['ustawienia']['kolejnosc'] < 1 )
    $zawartosc['ustawienia']['kolejnosc'] = 1;
  if ( $zawartosc['ustawienia']['przejscia'] < 1 )
    $zawartosc['ustawienia']['przejscia'] = 1;  
  if ( $zawartosc['ustawienia']['widok'] < 1 )
    $zawartosc['ustawienia']['widok'] = '1';
  if ( $zawartosc['ustawienia']['pokaz_slajdow_czas'] < 1 )
    $zawartosc['ustawienia']['pokaz_slajdow_czas'] = '5';
  if ( $zawartosc['ustawienia']['tabela_kolumny'] < 1 )
    $zawartosc['ustawienia']['tabela_kolumny'] = '4';
  if ( $zawartosc['ustawienia']['tabela_szerokosc'] < 1 )
    $zawartosc['ustawienia']['tabela_szerokosc'] = '100';

}

elseif ( $panel_administracyjny ) {

  if ( is_numeric($_GET['edycja']) and isset($zawartosc['zdjecia'][$_GET['edycja']]) ) {
    $edycja = true;
    $edycja_numer = $_GET['edycja'];
    $edycja_nazwa = $zawartosc['zdjecia'][$edycja_numer]['nazwa'];
    $edycja_opis = $zawartosc['zdjecia'][$edycja_numer]['opis'];
  }
  else
    $edycja = false;
  
  $rozszerzenia = array ( 'jpeg', 'jpg', 'png', 'bmp', 'gif' );
  foreach ( wszystkie_pliki() as $element ) {
    $nazwa_elementu = explode('.',strtolower($element));
    foreach ( $rozszerzenia as $koncowka ) {
      if ( $nazwa_elementu[ count($nazwa_elementu)-1 ] == $koncowka )
        $pliki[] = $element;
    }
  }
  
?>

<form method="post">

<table>

<caption><?php echo ($edycja) ? 'Edycja zdjęcia' : 'Dodawanie zdjęcia' ?></caption>

<tr> <td>Zdjęcie:</td> <td>

<select name="nazwa">

<?php
if ( $edycja )
  echo '<optgroup label="Wybrane"><option class="wybrane">'.$edycja_nazwa.'</option></optgroup>';
echo '<optgroup label="Pliki graficzne [jpg, png, bmp, gif]">';
generuj_optgroup ($pliki);
echo '</optgroup>';
?>

</select>

</td> </tr>
<tr> <td>Opis:</td> <td><textarea name="opis"><?php if ($edycja) { echo $edycja_opis; } ?></textarea></td> </tr>

</table>

<?php if ($edycja) { ?><input type="hidden" name="edytowane" value="<?php echo $edycja_numer ?>" /><?php } ?>
<input type="hidden" name="dodaj_zdjecie" value="1" />

<p class="submit">
<input type="submit" value="<?php echo ($edycja) ? 'Zapisz zdjęcie' : 'Dodaj zdjęcie' ?>" />
<?php if ($edycja) { ?><a href="<?php echo $z ?>">Nowe zdjęcie</a><?php } ?>
</p>

</form>

<form method="post">

<table>

<caption>Istniejące zdjęcia</caption>

<tr> <th>Nazwa</th> <th>Opis</th> <th class="waska-kolumna">Usuwanie</th> </tr>

<?php
if ( count($zawartosc['zdjecia']) == 0 )
  echo '<tr> <td colspan="3">Brak zdjęć.</td> </tr>';
else {
  foreach ( $zawartosc['zdjecia'] as $numer => $element ) {
    echo '<tr> <td> <a href="' . $z . '&edycja=' . $numer . '">' . tekst($element['nazwa'],false) . '</a> </td> <td>' . fragment($element['opis']) . '</td> <td class="waska-kolumna"><input type="radio" name="usuwane" value="' . $numer . '" /></td> </tr>' . "\n";
  }
}
?>

<tr> <td></td> <td></td> <td class="waska-kolumna"><input type="submit" value="Usuń" onclick="return confirm('Czy na pewno chcesz usunąć zdjęcie?\nTa operacja jest nieodwracalna.')" /></td> </tr>

</table>

<input type="hidden" name="usun_zdjecie" value="1" />

</form>

<form method="post">

<table>

<caption>Ustawienia galerii zdjęć</caption>

<tr> <td>Kolejność:</td> <td><label><input type="radio" name="kolejnosc" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],1) ?> />chronologicznie</label><label><input type="radio" name="kolejnosc" value="2" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],2) ?> />chronol. odwrotnie</label><br /><label><input type="radio" name="kolejnosc" value="3" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],3) ?> />losowo</label><label><input type="radio" name="kolejnosc" value="4" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],4) ?> />alfabetycznie</label></td> </tr>
<tr> <td>Wyświetlanie:</td> <td><label><input type="radio" name="wyswietlanie" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['wyswietlanie'],1) ?> />dynamiczny skrypt</label><label><input type="radio" name="wyswietlanie" value="2" <?php zaznacz_checkbox($zawartosc['ustawienia']['wyswietlanie'],2) ?> />tabela</label></td> </tr>
<tr> <td>Przejścia:</td> <td><label><input type="radio" name="przejscia" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['przejscia'],1) ?> />przenikanie</label><label><input type="radio" name="przejscia" value="2" <?php zaznacz_checkbox($zawartosc['ustawienia']['przejscia'],2) ?> />różne</label><label><input type="radio" name="przejscia" value="3" <?php zaznacz_checkbox($zawartosc['ustawienia']['przejscia'],3) ?> />brak</label></td> </tr>
<tr> <td>Czas zdjęcia (w sekundach): </td> <td><input type="number" name="pokaz_slajdow_czas" min="0" max="60" value="<?php echo $zawartosc['ustawienia']['pokaz_slajdow_czas'] ?>"/></td> </tr>
<tr> <td><label><input type="checkbox" name="opisy" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['opisy']) ?> />opisy stale widoczne</label></td> <td><label><input type="checkbox" name="pokaz_slajdow" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['pokaz_slajdow']) ?> />pokaz slajdów</label></td> </tr>
<tr> <td>Liczba kolumn w tabeli: </td> <td><input type="number" name="tabela_kolumny" min="0" max="10" value="<?php echo $zawartosc['ustawienia']['tabela_kolumny'] ?>"/></td> </tr>
<tr> <td>Szerokość zdjęć w tabeli: </td> <td><input type="number" name="tabela_szerokosc" min="50" max="500" value="<?php echo $zawartosc['ustawienia']['tabela_szerokosc'] ?>"/></td> </tr>

</table>

<input type="hidden" name="ustawienia" value="1" />

<p class="submit">
<input type="submit" value="Zapisz zmiany" />
</p>

</form>

<?php
}