<?php

if ( $b == 'rss' and $zawartosc['ustawienia']['rss'] ) {
  header('Content-Type: text/xml');
  $zawartosc['wpisy'] = array_reverse($zawartosc['wpisy'],true);
  echo '<?xml version="1.0" encoding="UTF-8" ?>' . "\n" . '<rss version="2.0">' . "\n\n" . '<channel>' . "\n";
  echo '  <title>' . str_replace( array('&hellip;','&bdquo;','&rdquo;','&rsquo;','&nbsp;'), array('…','„','”','’',' '), tekst( sprintf(odczyt_konf('ustawienia','uklad_tytulu'),$podstrona['tytul_podstrony']), false ) ) . '</title>' . "\n" . '  <link>' . odnosnik() . '</link>' . "\n" . '  <copyright>' . odczyt_konf('ustawienia','autor') . '</copyright>' . "\n" . '  <generator>WizyTowka - wizytowka.tomaszgasior.kao.pl</generator>' . "\n";
  foreach ( $zawartosc['wpisy'] as $numer => $element ){
    $wpis_rss = strip_tags(str_replace(array('</p><p>',"\n","\n\n"),' ',tekst($zawartosc['wpisy'][$numer]['tresc'])));
    if ( $zawartosc['ustawienia']['rozwiniecie'] and ($pozycja = strpos($wpis_rss,'////')) !== false )
      $wpis_rss = substr( $wpis_rss, 0, $pozycja );
    else
      $wpis_rss = str_replace('////',null,$wpis_rss);
    $sl = explode( ' ', substr($wpis_rss,0,150) );
    $tytul_rss = str_replace(array('&hellip;','&bdquo;','&rdquo;','&rsquo;','&nbsp;'),array('…','„','”','’',' '),$sl[0].' '.$sl[1].' '.$sl[2].' '.$sl[3].' '.$sl[4]) . '…';
    echo '  <item>' . "\n" . '    <title><![CDATA[' . $tytul_rss . ']]></title>' . "\n" . '    <description><![CDATA[' . $wpis_rss . ']]></description>' . "\n" . '    <link>' . odnosnik(null,'w'.$numer) . '</link>' . "\n" . '    <pubDate>' . pokaz_date($zawartosc['wpisy'][$numer]['data'],'r') . '</pubDate>' . "\n" . '  </item>' . "\n";
  }
  echo '</channel>' . "\n\n" . '</rss>';
  exit();
}

if ( empty($zawartosc['wpisy']) )
  $html = null;

else {
  
  if ( $b == 'w' )
    $zawartosc['ustawienia']['wpisy'] = 0;
  $b = substr($b,1);
  
  if ( $b != '' and isset($zawartosc['wpisy'][$b]) ) {
    $html = str_replace( '////',null,tekst($zawartosc['wpisy'][$b]['tresc']) ) . "\n" . '<p class="miniblog_data-wpisu">' . pokaz_date($zawartosc['wpisy'][$b]['data']) . '</p>' . "\n";
  }
  
  else {
    
    if ( $zawartosc['ustawienia']['kolejnosc'] == 2 )
      $zawartosc['wpisy'] = array_reverse($zawartosc['wpisy'],true);
      
    $html = array ();
    $wpisow = 1;
    
    foreach ( $zawartosc['wpisy'] as $numer => $element ) {
      $tresc = strip_tags(str_replace(array('</p><p>',"\n","\n\n"),' ',tekst($element['tresc'])));
      if ( $zawartosc['ustawienia']['rozwiniecie'] ) {
        $wpis = '<p>';
        if ( ($pozycja = strpos($tresc,'////')) !== false ) 
          $wpis .= substr( $tresc, 0, $pozycja );
        else
          $wpis .= $tresc;
        $wpis .= ' <a class="miniblog_link-dalej" href="' . odnosnik(null,'w'.$numer) . '">' . str_replace(' ','&nbsp;',tekst($zawartosc['ustawienia']['dalej'],false)) . '</a></p>';
      }
      else
        $wpis = str_replace( '////',null,tekst($element['tresc']) );
      $html[] = $wpis . "\n" . '<p class="miniblog_data-wpisu">' . pokaz_date($element['data']) . '</p>' . "\n";
      if ( $zawartosc['ustawienia']['wpisy'] > 0 ) {
        ++$wpisow;
        if ( $wpisow > $zawartosc['ustawienia']['wpisy'] )
         break;
      }
    }
    
    if ( $zawartosc['ustawienia']['wpisy'] > 0 )
      $html[] = '<p><a class="miniblog_link-dalej" href="' . odnosnik(null,'w') . '">' . tekst($zawartosc['ustawienia']['wszystkie'],false) . '</a></p>' . "\n";
  
  }
  
  if ( $zawartosc['ustawienia']['rss'] ) 
    $head = '<link rel="Alternate" type="application/rss+xml" title="Kanał RSS" href="' . odnosnik(null,'rss') . '" />' . "\n";
}