<?php
// WizyTówka - admin/naz-pliku.php
if ( !defined('WT') ) exit();

$istnienie_pliku = file_exists( PLIKI . '/' . $b );

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $istnienie_pliku ) {

  if ( !sprawdz_nazwe ( $_POST['nazwa_pliku'] ) )
    $admin_naglowek['komunikat'] = 'zle.Podana nazwa jest nieprawidłowa.';
  else {
    $nowa_nazwa = prosta_nazwa($_POST['nazwa_pliku'],false);
    if ( $nowa_nazwa == $b )
      $admin_naglowek['komunikat'] = 'dob.Nazwa nie została zmieniona.';
    elseif ( file_exists( PLIKI . '/' . $nowa_nazwa ) )
      $admin_naglowek['komunikat'] = 'zle.Plik o podanej nazwie już istnieje.';
    else {
      przemianuj_plik ( PLIKI . '/' . $b, PLIKI . '/' . $nowa_nazwa );
      header( 'Location: ' . '?a=pliki' . '&kod=' . $kod );
      exit();
    }
  }
  
}

$admin_naglowek['link_podglad'] = PLIKI . '/' . $b;
$admin_naglowek['tytul'] = 'Nazwa pliku';
include('_naglowek.php');
?>
<?php if ( empty($b) ) { ?>
<p class="uwaga">Nie podano nazwy pliku.</p>
<?php } elseif ( !$istnienie_pliku ) { ?>
<p class="uwaga">Plik o nazwie <strong><?php echo $b ?></strong> nie istnieje.</p>
<?php } else { ?>

<form method="post">

<table>

<caption>Zmiana nazwy pliku</caption>

<tr> <td><input type="text" name="nazwa_pliku" value="<?php echo $b ?>" /></td> </tr>

</table>

<p class="uwaga">Jeżeli plik, którego nazwę właśnie chcesz zmienić, został już umieszczony na jakiejkolwiek podstronie, zmiana jego nazwy może uniemożliwić korzystanie z&nbsp;niego. Jeśli musisz to zrobić, po zmianie nazwy przejdź do edycji właściwej podstrony i wskaż ponownie właściwy plik.</p>

<p class="info">Nazwa pliku nie powinna zawierać polskich liter i niestandardowych znaków.</p>

<p class="submit">
<input type="submit" value="Zmień nazwę" />
</p>

</form>

<?php } ?>

<?php
include('_stopka.php');